package body MSHTML.IHTMLAppBehavior3_Object is

   procedure Put_navigable
     (This : IHTMLAppBehavior3_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLAppBehavior3_Put_navigable,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_navigable;

   function Get_navigable
     (This : IHTMLAppBehavior3_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLAppBehavior3_Get_navigable);
   end Get_navigable;

end MSHTML.IHTMLAppBehavior3_Object;

